%define upstream_name    Graph
%define upstream_version 0.9716

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Graph data structures and algorithms in perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Heap) >= 0.800.0
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Math::Complex)
BuildRequires: perl(Safe)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Object) >= 1.400.0
BuildRequires: perl(Storable) >= 2.50.0
BuildRequires: perl(Test::More) >= 0.820.0
BuildArch:  noarch

%description
This module is not for drawing any sort of graphics, but instead it is for
creating abstract data structures called graphs, and for doing various
operations on those.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes DESIGN META.json META.yml MYMETA.yml README RELEASE TODO
%{perl_vendorlib}/Graph
%{perl_vendorlib}/Graph.*
%{_mandir}/*/*

%changelog
* Sat Jan 02 2021 tv <tv> 1:0.971.600-1.mga8
+ Revision: 1668170
- update to 0.9716

* Sun Dec 27 2020 tv <tv> 1:0.971.400-1.mga8
+ Revision: 1664074
- update to 0.9714

* Sun Dec 20 2020 tv <tv> 1:0.971.300-1.mga8
+ Revision: 1661623
- update to 0.9713

* Mon Dec 07 2020 tv <tv> 1:0.971.200-1.mga8
+ Revision: 1654083
- update to 0.9712

* Sun Nov 29 2020 tv <tv> 1:0.971.100-1.mga8
+ Revision: 1650114
- update to 0.9711

* Mon Nov 23 2020 tv <tv> 1:0.970.900-1.mga8
+ Revision: 1648598
- update to 0.9709

* Sun Nov 08 2020 tv <tv> 1:0.970.800-1.mga8
+ Revision: 1643544
- update to 0.9708

* Mon Nov 02 2020 tv <tv> 1:0.970.700-1.mga8
+ Revision: 1641570
- update to 0.9707

* Thu Oct 22 2020 tv <tv> 1:0.970.600-1.mga8
+ Revision: 1638340
- update to 0.9706

* Wed Feb 12 2020 umeabot <umeabot> 1:0.970.400-5.mga8
+ Revision: 1494773
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1:0.970.400-4.mga7
+ Revision: 1268336
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:0.970.400-3.mga6
+ Revision: 1027961
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1:0.970.400-2.mga6
+ Revision: 971322
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1:0.970.400-1.mga6
+ Revision: 891357
- update to 0.9704

* Mon Sep 28 2015 sander85 <sander85> 1:0.970.0-1.mga6
+ Revision: 884622
- update to 0.97

* Wed Oct 15 2014 umeabot <umeabot> 1:0.960.0-4.mga5
+ Revision: 750514
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.960.0-3.mga5
+ Revision: 684890
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:0.960.0-2.mga4
+ Revision: 527029
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1:0.960.0-1.mga4
+ Revision: 439377
- update to 0.96

* Sun Jan 13 2013 umeabot <umeabot> 1:0.940.0-2.mga3
+ Revision: 367863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1:0.940.0-1.mga1
+ Revision: 32024
- mageia rebuild
- imported package perl-Graph

